#ifndef QSCANNER_H
#define QSCANNER_H

#include <QObject>
#include <libksane/ksane.h>

class QScanner : public QObject
{
    Q_OBJECT
public:
    explicit QScanner(QObject *parent = 0);
    QString deviceName (void) {return m_name;}
    QString deviceModel (void) {return m_model;}
    QString deviceVendor (void) {return m_vendor;}
    
signals:
    
public slots:
    void setDeviceInfo (KSaneIface::KSaneWidget::DeviceInfo info);

private:
    QString m_model;
    QString m_name;
    QString m_type;
    QString m_vendor;
    
};

#endif // QSCANNER_H
