#ifndef SCALEIMAGE_H
#define SCALEIMAGE_H

#include <QWidget>

namespace Ui {
class CScaleImage;
}

class CScaleImage : public QWidget
{
    Q_OBJECT
    
public:
    explicit CScaleImage(QPoint pos,QSize size, QWidget *parent = 0);
    ~CScaleImage();

signals:
    void newSize (QSize);

private slots:
    void bOkclicked();
    void bCancelClicked();    
    void on_spinWidth_valueChanged(int arg1);
    void on_spinHeight_valueChanged(int arg1);

private:

    Ui::CScaleImage *ui;
    double ratio;
    QSize m_size;
    bool changed;
    bool ready; //to prevent valueChanged in the constructor;
};

#endif // SCALEIMAGE_H
