#ifndef SAVEDIALOG_H
#define SAVEDIALOG_H

#include <QDialog>

namespace Ui {
class CSaveDialog;
}

class CSaveDialog : public QDialog
{
    Q_OBJECT
    
public:
    explicit CSaveDialog(QWidget *parent = 0);
    ~CSaveDialog();
    bool saveAllImages();
    QString fullFilePath ();
    QString extension();
    
private slots:
    void on_rangeSelected_toggled(bool checked);
    void selectFolder();

private:
    Ui::CSaveDialog *ui;
    QString m_dir;
    QString m_fileName;
    bool saveAll;
    void setAvailableFormats();
};

#endif // SAVEDIALOG_H
